Skip to main content
Return an alert by id

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Alert identifier

Response

The alert was returned successfully

Defines the Alert object

id
string

Alert id

Example:

99999

name
string

Alert name

Example:

"Alert name"

description
string

Alert description

Example:

"Alert description"

enabled
boolean

Whether the alert is enabled

referencedSource
object

Source used for the alert condition

dashboards
object[]

Dashboards assigned to the alert

creatingUserName
string

User who originally created the alert

createdDate
string<date-time>

When the alert was originally created

lastModifiedDate
string<date-time>

When the alert was last modified

schedule
object

Schedule of the alert's condition checks

condition
object

Alert's condition

notification
object

Alert's notification configuration